<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8" />
        <title>{% block title %}INTRANET - Verquet S.A. de C.V.{% endblock %}</title>
        <meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
        <link href="{{ asset('bundles/mdrcobranza/images/logoMDR.png') }}"  rel="icon" type="image/x-icon" />

        <!-- Bootstrap 3.3.2 -->
        <link href="{{ asset('vendor/css/bootstrap.min.css') }}" rel="stylesheet">
        <!-- FontAwesome 4.3.0 -->        
        <link href="{{ asset('bundles/intranet/css/font-awesome.min.css') }}" rel="stylesheet" type="text/css" />
        <!-- Ionicons 2.0.0 -->
        <link href="{{ asset('bundles/intranet/css/ionicons.min.css') }}" rel="stylesheet" type="text/css" />
        <!-- Theme style -->
        <link href="{{ asset('bundles/intranet/dist/css/AdminLTE.min.css') }}" rel="stylesheet" type="text/css" />
        <!-- AdminLTE Skins. Choose a skin from the css/skins 
         folder instead of downloading all of them to reduce the load. -->
        <link href="{{ asset('bundles/intranet/dist/css/skins/_all-skins.min.css') }}" rel="stylesheet" type="text/css" />


        <link href="{{ asset('vendor/css/jquery-ui.css') }}" rel="stylesheet">
        <link href="{{ asset('vendor/css/jquery-ui.structure.css') }}" rel="stylesheet">
        <link href="{{ asset('vendor/css/jquery-ui.theme.css') }}" rel="stylesheet">
        <!-- Estilos para tablas -->
        <link rel="stylesheet" type="text/css" href="{{ asset('vendor/css/jquery.dataTables.css') }}">


        <style type="text/css">
        .label-notifications_blue{
            background-color: #3300A6 !important;
            border-radius: 100%;
        }

        #banner_noticias {
            height: 54px;
            background-color: rgba(128, 128, 128, 0.31);
        }
        #breadcrumbMenu
        {
            background-color: #222D32;
            color: #B8C7C4;
            font-size:18px;
            margin-top: 4px;
            margin-bottom: 0px;
            margin-left: 2%;
        }
        
        .treeview > .dropdown-menu {
            background-color: #222D32;
            width: 99.5%;
        }

        .modal-backdrop {
            z-index: 0 !important;
        }
        #buscador{
            width: 100%;
        }

            @media screen and (max-width : 768px) { 
                #full_screen,#title_menu1{
                    display: none !important;
                }

                #small_screen,#title_menu2{
                    display: block !important;
                }

                .no-print {
                    top: 111px !important;
                }
                #item_view_news{
                    display: block !important;
                }

                #seccion_news{
                    display:none !important;
                }
            }

        .blockUI.blockMsg.blockPage, .blockUI.blockMsg.blockElement {
            background-color: rgba(255, 255, 255, 0.41) !important;
            color: #000 !important;
            border-radius: 25px;
            width: 40% !important;
            left: 30% !important;
            top: 30% !important;
        }

        .blockUI > .overlay {
            margin-top: 7%;
        }

        .blockUI > .overlay > .fa {
            font-size: 86px;
        }

        .ui-datepicker-month,.ui-datepicker-year {
            color: #000000;
        }    

        #alert-message > .alert > .close {
            margin-right: 5%;
            color: white !important;
            opacity: 1 !important;
        }

        #load_total_inbox1,#load_total_inbox2{

            background-color: #FFFFFF !important;
            color:#000000 !important;

        }
        </style>        

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.3.0/respond.min.js"></script>
    <![endif]-->
        {% block stylesheets %}

        {% endblock %}
    </head>
    
  <body class="fixed {{ app.user.temaIntranet }}">
    <div class="wrapper">

      <header class="main-header">
        <a href="{{ path('main_intranet') }}" class="logo" id="title_menu1" style="display:block"><b>MDR</b></a>
        <a href="{{ path('main_intranet') }}" class="logo" id="title_menu2" style="display:none"><b>MDR</b> Marcas de Renombre</a>
        <!-- Header Navbar: style can be found in header.less -->
        <nav class="navbar navbar-static-top" role="navigation">
          <!-- Sidebar toggle button-->
          <a href="javascript:void(0);" class="sidebar-toggle" id="full_screen" style="display:block" data-toggle="offcanvas" role="button">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </a>
          <a href="javascript:void(0);" class="sidebar-toggle" id="small_screen" style="display:none" data-toggle="offcanvas" role="button">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </a>
            <ol id="breadcrumbMenu" class="breadcrumb nav navbar-nav navbar-left" style="display:none;"></ol>
          <div class="navbar-custom-menu">
            <ul class="nav navbar-nav">
              <!-- Messages: style can be found in dropdown.less-->
              <li class="dropdown messages-menu">
                <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                  <i class="fa fa-envelope-o"></i>
                  <span class="label label-notifications_blue" id="load_total_inbox1">0</span>
                </a>
                <ul class="dropdown-menu" style="width: 335px ! important;">
                  <li class="header" id="load_total_text_inbox">Tienes 0 Mensajes</li>                  
                  <li>
                    <!-- inner menu: contains the actual data -->
                    <div style="position: relative; overflow: auto; width: auto; max-height: 200px ! important; height: auto ! important;" class="slimScrollDiv">
                    <ul id="load_dtl_inbox" style="overflow: auto; width: 100%; max-height: 200px ! important; height: auto ! important;" class="menu">
                      
                    </ul>
                    </div>
                  </li>
                  <li class="footer"><a href="{{ path('show_inbox') }}">Ver todos los Mensajes</a></li>
                </ul>
              </li>
               {% if app.user %}
              <!-- User Account: style can be found in dropdown.less -->
              <li class="dropdown user user-menu">
                <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                  <img src="{{ asset('vendor/Avatars') }}/{{ app.user.avatarIntranet.URL }}" class="user-image" alt="User Image"/>
                  <span class="hidden-xs">{{ app.user.uNombre | upper }} {{ app.user.uApPaterno | upper }} {{ app.user.uApMaterno | upper }}</span>
                </a>
                <ul class="dropdown-menu">
                  <!-- User image -->
                  <li class="user-header">
                    <img src="{{ asset('vendor/Avatars') }}/{{ app.user.avatarIntranet.URL }}" class="img-circle" alt="User Image" />
                    <p>
                      {{ app.user.uNombre | upper }} {{ app.user.uApPaterno | upper }} {{ app.user.uApMaterno | upper }} - {{ app.user.tipoUsuario.valor | upper }} 
                      <small>Fecha de alta: {{ app.user.ufechaalta|date('d-m-Y') }}</small>
                    </p>
                  </li>
                  <!-- Menu Body -->
                  <li class="user-body">
                    <div class="col-xs-4 text-center" style="padding: 0px ! important;">
                      <a class="btn btn-block btn-default" href="{{ path('perfil_usuario') }}">Perfil</a>
                    </div>
                    <div class="col-xs-4 text-center">
                    </div>
                    <div class="col-xs-4 text-center">
                    </div>
                  </li>
                </ul>
              </li>
            </ul>
          </div>
        </nav>
      </header>
      <!-- Left side column. contains the logo and sidebar -->
      <aside class="main-sidebar">
        <!-- sidebar: style can be found in sidebar.less -->
        <section class="sidebar">
          <!-- Sidebar user panel -->
          <div class="user-panel">
            <div class="pull-left image">
              <img src="{{ asset('vendor/Avatars') }}/{{ app.user.avatarIntranet.URL }}" class="img-circle" alt="User Image" />
            </div>
            <div class="pull-left info">
              <p>{{ app.user.uNombre | upper }} {{ app.user.uApPaterno | upper }} {{ app.user.uApMaterno | upper }}</p>
            </div>
          </div>
          
                {% endif %}
          
          <!-- sidebar menu: : style can be found in sidebar.less -->
          <ul class="sidebar-menu" style="height: 100vh;">
            <li class="header">Menu Principal</li>
            {% include 'IntranetBundle:Default:menu.html.twig' %}             
          </ul>
        </section>
        <!-- /.sidebar -->
      </aside>

      <!-- Content Wrapper. Contains page content -->
      <div class="content-wrapper">
        <!-- BODY -->
        <section class="content">            
    
        <div id="alert-message" >
        {% spaceless %}
        {% for flashType in [ 'success', 'info', 'warning', 'error' ] %}
            {% set flashMessages = app.session.flashbag.get(flashType) %}
            {% set flashType = flashType == 'error' ? 'danger' : flashType   %}
            {% if flashMessages | length > 0 %}
                <div class="alert alert-{{ flashType }} alert-dismissible">
                    <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                {% for flashMessage in flashMessages %}
                    <div><b>{{ flashMessage|raw }}</b></div>
                    {% if not loop.last %}
                    <br/>
                    {% endif %}
                {% endfor %}
                </div>
            {% endif %}
        {% endfor %}
        {% endspaceless %}
        </div>

            {% block body -%}



            {% endblock %} 
        </section><!-- /.BODY -->

      </div><!-- /.content-wrapper -->

    </div><!-- ./wrapper -->

    {% if(ocultarMenuIntranet is not defined) %}
    <script type="text/template" id='ArbolMenuTemplate'>
        {% include 'IntranetBundle:js:arbolMenu.html.twig' %} 
    </script>
    {% endif %}
       
        <!--RECURSOS DESDE BASE-->
        <!-- jQuery 2.1.3 -->        
        <script src="{{ asset('vendor/js/jquery.js') }}" /></script>
        <!-- Bootstrap 3.3.2 JS -->
        <script src="{{ asset('bundles/intranet/bootstrap/js/bootstrap.min.js') }}" type="text/javascript"></script>   
        <!-- Slimscroll -->
        <script src="{{ asset('bundles/intranet/plugins/slimScroll/jquery.slimScroll.min.js') }}" type="text/javascript"></script>
        <!-- FastClick -->
        <script src="{{ asset('bundles/intranet/plugins/fastclick/fastclick.min.js') }}"></script>
        <!-- AdminLTE App -->
        <script src="{{ asset('bundles/intranet/dist/js/app.min.js') }}" type="text/javascript"></script>
        <!-- AdminLTE for demo purposes -->
        <script src="{{ asset('bundles/intranet/dist/js/demo.js') }}" type="text/javascript"></script>
        <!-- Show loading() -->        
        <script src="{{ asset('vendor/js/blockui.js') }}"></script>
        <!--Libreria para cambio de alert por alert bootstrap-->
        <script src="{{ asset('vendor/js/bootbox.js') }}" /></script>
        <!-- Recurso para datatables -->
        <script src="{{ asset('vendor/js/DataTablesJQuery.js') }}"></script>
        <!-- Jquery UI -->        
        <script src="{{ asset('vendor/js/jquery-ui.js') }}" /></script>
        <!-- Backbone -->
        <script src="{{ asset('vendor/js/underscore.js') }}" /></script>
        <script src="{{ asset('vendor/js/backbone.js') }}" /></script>
        
        <script src="{{ asset('vendor/js/accounting.js') }}" /></script>
        <script type="text/template" id='previewInboxTemplate'> 
            <% _.each(inbox ,function(item, key){ %>
                <li>
                    <a onclick="gotoMjs(<%= item.idMensaje  %>)" style="cursor: pointer;">
                        <div class="pull-left">
                            <img src="{{ asset('vendor/Avatars') }}/<%= item.Emisor.avatar.URL  %>" class="img-circle" alt="User Image">
                        </div>
                            <h4><%= item.Asunto %></h4>
                            <p><%= item.Emisor.uNombre %> <%= item.Emisor.uApPaterno %> <%= item.Emisor.uApMaterno %></p>
                            <h4><small><i class="fa fa-clock-o"></i><%= item.fechaGregorian %></small></h4>
                    </a>
                </li>
            <% }); %>
        </script>      
   

        <script type="text/javascript" src="{{ asset('bundles/intranet/js/arbolIntranet.js') }}"></script>
        <script type="text/javascript" src="{{ asset('bundles/intranet/js/buscadorIntranet.js') }}"></script>

        <script type="text/javascript">
		$(document).ready(function() {  
            
         inboxIn();
            //segundos = 1 seg = 1000
            setInterval(inboxIn, 100000);
            
        });
			
            var urls = {};
            urls.intranet = urls.intranet || {};
            urls.intranet.menuJSON = "{{ path('intranet_menu_json') }}";
            urls.intranet.index = "{{ path('intranet_index') }}";
            var arbol = function(){};

        alert = function(message){
                try
                {
                    bootbox.alert({message: message, className: "alertBootstrap"});
                }
                catch(err) {
                    console.log(err.message);
                }
            };
    
        function showLoading(message, element)
        {
            if(element)
            {
                $(element).block({ message: '<div class="overlay"><i class="fa fa-refresh fa-spin"></i></div>' + '</br><h3 id="text_load">' + message + '</h3>' });
            }
            else
            {
                $.blockUI({
                    message: '<div class="overlay"><i class="fa fa-refresh fa-spin"></i></div>' + '</br><h3>' + message + '</h3>'
                });
            }
        }

        function hideLoading(element)
        {
            if(element)
            {
                $(element).unblock();
            }
            else
            {
                $.unblockUI();
            }
        }
    
         // Traducción al español
        jQuery(function ($) {
            $.datepicker.regional['es'] = {
                    closeText: 'Cerrar',
                    prevText: '<Ant', 
                    nextText: 'Sig>',
                    currentText: 'Hoy',
                    monthNames: ['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio',
                    'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre'],
                    monthNamesShort: ['Ene', 'Feb', 'Mar', 'Abr', 'May', 'Jun',
                    'Jul', 'Ago', 'Sep', 'Oct', 'Nov', 'Dic'],
                    dayNames: ['Domingo', 'Lunes', 'Martes', 'Miércoles', 'Jueves', 'Viernes', 'Sábado'],
                    dayNamesShort: ['Dom', 'Lun', 'Mar', 'Mié;', 'Juv', 'Vie', 'Sáb'],
                    dayNamesMin: ['Do', 'Lu', 'Ma', 'Mi', 'Ju', 'Vi', 'Sá'],
                    weekHeader: 'Sm',
                    dateFormat: 'dd/mm/yy',
                    firstDay: 1,
                    isRTL: false,
                    showMonthAfterYear: false,
                yearSuffix: ''

              };
                $.datepicker.setDefaults($.datepicker.regional['es']);
                
                {% if(ocultarMenuIntranet is not defined) %}
                arbol = function(){ $.AdminLTE.tree('#arbol') };
                GetMenuJSON(false);
                {% endif %}

        });

        function createdate(date){
            var splidate = date.split("/");
            var newdate = new Date(splidate[2], (splidate[1] - 1), splidate[0]);
            return newdate;
        }

        function showOverlay(element){
            var html = '<div class="overlay"><i class="fa fa-refresh fa-spin"></i></div>';
            $(element).append(html);
        }
        function hideOverlay(element){
            $(element).find('div.overlay').remove();
        }

		function validateImgExtension(file,id){
            extensiones_permitidas = new Array(".gif", ".jpg", ".png");
            peso_maximo = 2500000;
            extension = (file.substring(file.lastIndexOf("."))).toLowerCase();
            input = document.getElementById(id);
            file = input.files[0];
            peso = file.size;
            permitida = 0; 
                for (var i = 0; i < extensiones_permitidas.length; i++) { 
                    if (extensiones_permitidas[i] == extension) { 
                        permitida = 1; 
                        break; 
                    }
                }
                if(peso > peso_maximo){
                    permitida = 2; 
                }

            if (!permitida) { 
                $('#form_Guardar').attr("disabled", true); 
                $('#form_previo').attr("disabled", true); 
                alert("El tipo de archivo no es valido, solo se permiten archivos de tipo imagen, con extensión:</br>->.gif</br>->.jpg</br>->.png");
            }else if(permitida == 1){
                $('#form_Guardar').attr("disabled", false); 
                $('#form_previo').attr("disabled", false); 
            }else if(permitida == 2){
                $('#form_Guardar').attr("disabled", true); 
                $('#form_previo').attr("disabled", true); 
                alert("El Archivo que intenta subir es muy grande, los archivos no deben superar 2.5 MB");
            }
        }

        function inboxIn(){

            $('#load_total_text_inbox').html("Cargando ...");
            $('#load_total_inbox1').html('<img src="{{ asset("vendor/img/load_inbox.gif") }}" style="width: 30%; margin: 30%;">');
            $('#load_total_inbox2').html('<img src="{{ asset("vendor/img/load_inbox.gif") }}" style="width: 30%;">');
            $('#load_total_inbox3').html('<img src="{{ asset("vendor/img/load_inbox_blk.gif") }}" style="width: 30%;">');
            $('#load_dtl_inbox').html('<div class="overlay" style="text-align: center ! important; font-size: 50px ! important;"><i class="fa fa-refresh fa-spin"></i></div><label style="margin-left: 31%;">Cargando Inbox</label>');

            var urlUpdateInbox =  "{{path('total_inbox')}}"; 
            var body="";
            $.post(urlUpdateInbox, {}, function(data, textStatus, xhr) {

             if (data.estatus == 1){     
                $('#load_total_text_inbox').html("Usted tiene "+data.num+" Mensaje(s) Nuevo(s)");
                $('#load_total_inbox1').html(data.num);
                $('#load_total_inbox2').html(data.num);
                $('#load_total_inbox3').html(data.num);
                var template = _.template(document.getElementById("previewInboxTemplate").textContent);
                var html_info = template(data);
                $("#load_dtl_inbox").html(html_info);

             }else{
                $('#load_total_text_inbox').html("Usted tiene 0 Nuevos");
                $('#load_total_inbox1').html("0");
                $('#load_total_inbox2').html("0");
                $('#load_total_inbox3').html("0");
                $('#load_dtl_inbox').html('<label>Huvo un error en la carga de su inbox, intente más tarde</label>');
             }

            });

        }

        function gotoMjs(idMensaje){
            showLoading("Abriendo Mensaje");
            var url = "{{ path('show_message', { 'id': 'mensaje'  }) }}";
            var final_url = url.replace('mensaje',idMensaje);
            document.location.href= final_url;
        }

        function getFlashType(num)
        {
            var tipo = 'info';
            switch(num) {
            case 1:
                tipo ='success';
            break;
            case 0:
                tipo ='danger';
            break;
            case -1:
                tipo ='warning';
            break;
            }
            return tipo;
        }

        function flashMessage(tipo, texto)
        {
            var template = _.template($("#flashMessageTemplate").html());
            var html = template({flashType: '', flashMessage: texto});
            window.scrollTo(0, 0);
            var item = $(html);
            $("#alert-message").append(item);
            item.addClass('alert-' + tipo, 1000);
        }

        function UpdateSkin(skin){
            var urlUpdateSkin = "{{path('update_skin_user')}}";
            $.post(urlUpdateSkin, {skin:skin}, function(data, textStatus, xhr) {
                

            });
        }
        
        </script>
        <script type="text/template" id='flashMessageTemplate'>
            <div class="alert alert-<%= flashType %> alert-dismissible">
                <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                <div><b><%= flashMessage %></b></div>
            </div>
        </script>
        <!--RECURSOS DESDE BASE-->
        {% block javascripts %}

        {% endblock %}

    </body>
</html>
